import request from '@/utils/request'

// 分组管理 - 查询列表
export function listGroupAPI(query) {
    return request({
        url: '/group/getGroupList',
        method: 'GET',
        params: query,
    })
}

// 分组管理 - 新增
export function addGroupAPI(data) {
    return request({
        url: '/group/addGroup',
        method: 'POST',
        data,
    })
}

// 分组管理 - 修改
export function updateGroupAPI(data) {
    return request({
        url: '/group/updateGroup',
        method: 'POST',
        data,
    })
}

// 分组管理 - 删除
export function delGroupAPI(data) {
    return request({
        url: '/group/delGroup',
        method: 'POST',
        data,
    })
}

// 获取所有分组
export function getAllGroupAPI() {
    return request({
        url: '/group/getGroupSelect',
        method: 'GET',
    })
}

